You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: amd...@freebsd.org
Ident:          $FreeBSD: head/devel/node-thrift/Makefile 366258 2014-08-26 
19:34:14Z amdmi3 $
Log URL:        
http://beefy3.nyi.freebsd.org/data/head-i386-default/p400212_s290029/logs/node-thrift-0.9.3_1.log
Build URL:      
http://beefy3.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p400212_s290029
Log:

====>> Building devel/node-thrift
build started at Thu Oct 29 14:09:29 UTC 2015
port directory: /usr/ports/devel/node-thrift
building for: FreeBSD head-i386-default-job-21 11.0-CURRENT FreeBSD 
11.0-CURRENT r290029 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/node-thrift/Makefile 366258 
2014-08-26 19:34:14Z amdmi3 $
Poudriere version: 3.1.9
Host OSVERSION: 1100079
Jail OSVERSION: 1100083




!!! Jail is newer than host. (Jail: 1100083, Host: 1100079) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1100083
UNAME_v=FreeBSD 11.0-CURRENT r290029
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=node-thrift-0.9.3_1
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--without-tests
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/node-thrift/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/node-thrift/work  
HOME=/wrkdirs/usr/ports/devel/node-thrift/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/node-thrift/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/node-thrift/work  
HOME=/wrkdirs/usr/ports/devel/node-thrift/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" 
LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " 
 MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/thrift"
EXAMPLESDIR="share/examples/thrift"
DATADIR="share/thrift"
WWWDIR="www/thrift"
ETCDIR="etc/thrift"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/thrift
DOCSDIR=/usr/local/share/doc/thrift
EXAMPLESDIR=/usr/local/share/examples/thrift
WWWDIR=/usr/local/www/thrift
ETCDIR=/usr/local/etc/thrift
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   node-thrift-0.9.3_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.1_1.txz
[head-i386-default-job-21] Installing pkg-1.6.1_1...
[head-i386-default-job-21] Extracting pkg-1.6.1_1: .......... done
Message from pkg-1.6.1_1:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   node-thrift-0.9.3_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of node-thrift-0.9.3_1
===========================================================================
=======================<phase: fetch-depends  >============================
===>  License APACHE20 accepted by the user
===>   thrift-0.9.3,1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by thrift-0.9.3,1 for building
===>  Extracting for thrift-0.9.3,1
=> SHA256 Checksum OK for thrift-0.9.3.tar.gz.
===>   Returning to build of node-thrift-0.9.3_1
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by node-thrift-0.9.3_1 for building
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by thrift-0.9.3,1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by node-thrift-0.9.3_1 for building
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by thrift-0.9.3,1 for building
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by node-thrift-0.9.3_1 for building
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by thrift-0.9.3,1 for building
===>  Extracting for node-thrift-0.9.3_1
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for node-thrift-0.9.3_1
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for node-thrift-0.9.3_1
===========================================================================
=======================<phase: build          >============================
===========================================================================
=======================<phase: run-depends    >============================
===>   node-thrift-0.9.3_1 depends on executable: node - not found
===>   Installing existing package /packages/All/node-4.2.1.txz
[head-i386-default-job-21] Installing node-4.2.1...
[head-i386-default-job-21] `-- Installing python27-2.7.10_1...
[head-i386-default-job-21] |   `-- Installing libffi-3.2.1...
[head-i386-default-job-21] |   | `-- Installing indexinfo-0.2.4...
[head-i386-default-job-21] |   | `-- Extracting indexinfo-0.2.4: .... done
[head-i386-default-job-21] |   `-- Extracting libffi-3.2.1: .......... done
[head-i386-default-job-21] |   `-- Installing gettext-runtime-0.19.6...
[head-i386-default-job-21] |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-i386-default-job-21] |   `-- Installing readline-6.3.8...
[head-i386-default-job-21] |   `-- Extracting readline-6.3.8: .......... done
[head-i386-default-job-21] `-- Extracting python27-2.7.10_1: .......... done
[head-i386-default-job-21] `-- Installing python2-2_3...
[head-i386-default-job-21] `-- Extracting python2-2_3: ...... done
[head-i386-default-job-21] Extracting node-4.2.1: .......... done
Message from python27-2.7.10_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from node-4.2.1:
Note: If you need npm (Node Package Manager), please install www/npm.
===>   node-thrift-0.9.3_1 depends on executable: node - found
===>   Returning to build of node-thrift-0.9.3_1
===========================================================================
=======================<phase: stage          >============================
===>  Staging for node-thrift-0.9.3_1
===>   Generating temporary packing list
/bin/mkdir -p 
/wrkdirs/usr/ports/devel/node-thrift/work/stage/usr/local/lib/node_modules/thrift
/bin/mkdir -p /wrkdirs/usr/ports/devel/node-thrift/work/stage/usr/local/lib/node
cp -f -R  `make -C /usr/ports/devel/thrift -V WRKSRC`/lib/nodejs/*  
/wrkdirs/usr/ports/devel/node-thrift/work/stage/usr/local/lib/node_modules/thrift
/bin/ln -s /usr/local/lib/node_modules/thrift/lib/thrift 
/wrkdirs/usr/ports/devel/node-thrift/work/stage/usr/local/lib/node
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for node-thrift-0.9.3_1
pkg-static: Unable to access file 
/wrkdirs/usr/ports/devel/node-thrift/work/stage/usr/local/lib/node_modules/thrift/package.json:
 No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/node-thrift
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to